Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class WARTESCHLANGE

    java.lang.Object
      WARTESCHLANGE

     class WARTESCHLANGE

extends java.lang.Object

Write a description of class WARTESCHLANGE here.

Version:
  1.0
Author:
  Albert Wiedemann

Constructor Summary
`WARTESCHLANGE()` Legt eine leere Warteschlange an.

Method Summary
`(package private) void` | `Anfuegen(KUNDE kunde)` Stellt einen Kunden hinten an (so Platz) und zeichnet die Schlange neu.
`(package private) int` | `ArtikelanzahlGesamtHolen()` Meldet die Artikelsumme der Warteschlange
`(package private) boolean` | `IstKundeVorhanden()` Meldet, ob noch Kunden in der Warteschlange stehen
`(package private) KUNDE` | `KundeUebergeben()` Liefert den ersten Kunden und zeichnet die Schlange neu.
`(package private) int` | `LaengeHolen()` Meldet die Länge der Warteschlange
`(package private) void` | `PositionSetzen(int xNeu, int yNeu)` Setzt die Position der Warteschlange und zeichnet sie neu.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WARTESCHLANGE

    WARTESCHLANGE()

  Legt eine leere Warteschlange an.

Method Detail

### Anfuegen

    void Anfuegen(KUNDE kunde)

  Stellt einen Kunden hinten an (so Platz) und zeichnet die Schlange neu.

  Parameters:
    `kunde` - der neue Kunde

### ArtikelanzahlGesamtHolen

    int ArtikelanzahlGesamtHolen()

  Meldet die Artikelsumme der Warteschlange

  Returns:
    Anzahl der Kunden in der Warteschlange

### IstKundeVorhanden

    boolean IstKundeVorhanden()

  Meldet, ob noch Kunden in der Warteschlange stehen

  Returns:
    wahr, wenn es noch mindestens einen Kunden gibt.

### KundeUebergeben

    KUNDE KundeUebergeben()

  Liefert den ersten Kunden und zeichnet die Schlange neu.

  Returns:
    erster Kunde oder null

### LaengeHolen

    int LaengeHolen()

  Meldet die Länge der Warteschlange

  Returns:
    Anzahl der Kunden in der Warteschlange

### PositionSetzen

    void PositionSetzen(int xNeu,
                        int yNeu)

  Setzt die Position der Warteschlange und zeichnet sie neu.

  Parameters:
    `xNeu` - x-Position
    `yNeu` - y-Position

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD